# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


"""This is the module which takes your site-specific PgSQL settings.

All options can be overwritten by the list specific PgSQL settings which can be
found in /var/lib/mailman/lists/<listname>/pgsql.py.
"""

# General database access options
#DSN	 = 'localhost'
#DATABASE = 'mailman'
#USER     = 'mailman'
#PASSWORD = ''
#TABLE	 = 'listmembers'

# Generic SQL condition identifying a special list
LISTCONDITION = "<FIELD_LISTNAME>='<LISTNAME>'"

# Fieldnames used for each member's options
FIELD_LISTNAME = 'listname'
FIELD_MAILADDR = 'address'
FIELD_KEY = 'lower(address)'
FIELD_PASSWORD = 'password'
FIELD_DIGEST = 'digest'
FIELD_LANGUAGE = 'language'
FIELD_OPTIONS = 'options'
FIELD_NAME = 'full_name'
FIELD_DS = 'delivery_status'
FIELD_DSTIME = 'delivery_status_time'
FIELD_BOUNCE_INFO = 'bounce_info'
